<template>
  <div :class="SelectedClass" :style="selectedStyle">{{ObjectProp.weight}}KG</div>
</template>
<script>
export default {
  name: "Objects",
  props: {
    ObjectProp: {},
    isleft: false,
    top: 0
  },
  computed: {
    SelectedClass() {
      const type = Math.floor(Math.random() * 3);

      switch (type) {
        case 0:
          return "rectangle";
        case 1:
          return "circle";
        case 2:
          return "triangle";
      }
    },
    selectedStyle() {
      const { weight, distanceFromCenter } = this.ObjectProp;
      const leftOffset = this.isleft
        ? 50 - distanceFromCenter * 10
        : 50 + distanceFromCenter * 10;
  
      const topOffset = this.top || 0;

      return {
        top: `${topOffset}px`,
        left: `${leftOffset}%`,
        height: `${weight * 10}px`,
        width: `${weight * 10}px`,
        lineHeight: `${weight * 10}px`
      };
    }
  }
};
</script>
<style scoped>
.rectangle,
.circle,
.triangle {
  position: absolute;
  text-align: center;
}
.triangle {
  width: 0 !important;
  height: 0 !important;
  line-height: 40px !important;
  border-style: solid;
  border-width: 0 40px 70px 40px;
  border-color: transparent transparent green transparent;
}
.circle {
  background-color: red;
  border-radius: 50%;
}
.rectangle {
  background-color: blue;
}
</style>